<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div class="m-portlet m-portlet--mobile" v-cloak>
    <div class="m-portlet__body">
      <!-- <div class="m--margin-bottom-10">
                <span class="s--label">Loại giá:</span>&nbsp;&nbsp;<span>Bán lẻ</span>
      </div>-->
      <div
        data-backdrop="static"
        data-keyboard="false"
        class="modal fade s--modal-confirm"
        id="popupPolicyAddPayment"
      >
        <div class="modal-dialog" style="max-width: 600px;">
          <div class="modal-content" id="popup-add-on">
            <div style="margin: 11px;">
              <div>
                <button
                  type="button"
                  class="close modal-close"
                  data-dismiss="modal"
                  aria-label="Close"
                  style="top: 1em; right: 1em;"
                >
                  <span aria-hidden="true">
                    <i class="la la-times"></i>
                  </span>
                </button>
              </div>
              <div class="row">
                <div class="popup-title">
                  Giao dịch đã bị hủy bỏ hoặc hoàn thành.
                  <br />Vui lòng tải lại trang.
                  <br />
                </div>
              </div>
              <div class="row popup-btn">
                <button class="btn" data-dismiss="modal" aria-label="Close">Đóng</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="container-fluid p-0">
        <div class="payment-history-detail">
          <div class="no-gutters row m-0">
            <div class="col-md-4">
              <label class="nt-label">Tổng tiền đã thanh toán:</label>
              <span class="payment-history-price">{{ currentTotalPricePaid }}</span>
            </div>
            <div class="col-md-4">
              <label class="nt-label">Số tiền còn phải thanh toán:</label>
              <span class="payment-history-price">{{ currentTotalPriceRemain }}</span>
            </div>
            <div class="col-md-4">
              <!--data-toggle="modal"-->
              <!--data-target="#AddDealPayment"-->
              <template
                v-if="accessible(userCheckAddOn, 'deal', PERMISSION_CREATE_PAYMENT, userCurrentPermissions)"
              >
                <button
                  @click.prevent="addNewPayment()"
                  :disabled="isDealCompleteOrCancel ? true : false"
                  :class="{'nt-button-disabled' : isDealCompleteOrCancel}"
                  class="nt-button nt-button-secondary nt-button-small float-right"
                >
                  <i class="icon icon-plus" style="padding-right: 5px;"></i>Thêm thanh toán
                </button>
              </template>
              <template v-else>
                <button
                  data-toggle="m-tooltip"
                  :disabled="isDealCompleteOrCancel ? true : false"
                  :data-original-title="titleNotPermisson"
                  data-html="true"
                  class="nt-button nt-button-secondary nt-button-small float-right nt-button-not-permisson"
                >
                  <i class="icon icon-plus" style="padding-right: 5px;"></i>Thêm thanh toán
                </button>
              </template>
            </div>
          </div>
        </div>
      </div>

      <div class="dataTables_wrapper">
        <div class="table-container table-responsive nt-scroll-primary">
          <table
            class="table table-bordered table-hover s--table s--table-customer-deal-product nt-table-list nt-table-list-all"
          >
            <thead style="background:#F4F5F9">
              <tr>
                <th style="width:12%;">Mã thanh toán</th>
                <th style="width:20%;">Ngày thanh toán</th>
                <th class="text-right" style="width:20%;">Số tiền thanh toán</th>
                <!--<th style="width:20%;;">-->
                <!--Người thanh toán-->
                <!--</th>-->
                <!--<th style="width:20%;;">-->
                <!--Người nhận tiền-->
                <!--</th>-->
                <th style="width:28%;">Phương thức thanh toán</th>
                <th style="width:20%;">Mã chứng từ</th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(payment, index) in payment_history" :key="index">
                <td>
                  <a
                    class="m-link m-link--primary nt-link"
                    @click="viewDetailPayment(payment)"
                    href="#"
                    data-target="#ViewDealPayment"
                    data-toggle="modal"
                  >{{ payment.code }}</a>
                </td>
                <td>{{ payment.date }}</td>
                <template>
                  <td
                    class="text-right"
                    v-if="checkIsNumber(payment.price)"
                  >{{ parseInt(payment.price) | formatNumberPrice }}</td>
                  <td
                    class="text-right"
                    v-else
                  >-{{ removeDashInStringAndFormatParseInt(payment.price) | formatNumberPrice }}</td>
                </template>

                <!--<template>-->
                <!--<td v-if="payment.payer">-->
                <!--{{ payment.payer }}-->
                <!--</td>-->
                <!--<td v-else class="text-center">-->
                <!-- - -->
                <!--</td>-->
                <!--</template>-->
                <!--<template>-->
                <!--<td v-if="payment.receiver">-->
                <!--{{ payment.receiver }}-->
                <!--</td>-->
                <!--<td v-else class="text-center">-->
                <!-- - -->
                <!--</td>-->
                <!--</template>-->
                <td>
                  <div v-if="payment.payment_method">{{ payment.payment_method }}</div>
                </td>
                <td>
                  <div v-if="payment.voucher">{{ payment.voucher }}</div>
                </td>
              </tr>
              <tr v-if="payment_history && payment_history.length <= 0">
                <td
                  colspan="100"
                  class="text-center"
                  style="padding: 20px 0;"
                >Chưa có thanh toán nào.</td>
              </tr>
            </tbody>
          </table>
          <div
            v-if="payment_history && payment_history.length > 0"
            class="dataTables_paginate paging_simple_numbers m--margin-top-20 d-flex justify-content-end"
          >
            <pagination
              :loader="loadDataPaymentHistory"
              :pagination="pagination"
              @paginate="getPaginationHistory"
            ></pagination>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
